#pragma once

#include "demo/scene.hpp"
#include "physics/force_generator.hpp"

namespace demo {

  struct sailboat : scene {
    physics::buoyancy buoyancy;
    physics::rigid_body body;

    mat4x4 init() override;

    void update() override;

    void draw_hud(ta_parameter_writer& writer);
    void draw_boat(ta_parameter_writer& writer, const mat4x4& trans);
    void draw(ta_parameter_writer& writer, const mat4x4& trans) override;
  };
}
